//
//  UIImageViewBKView.h
//  room
//
//  Created by  on 12-7-16.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "UIImageViewExpandBKDelegate.h"
#import <QuartzCore/QuartzCore.h>
#import "UIImageViewItemView.h"
@interface UIImageViewBKView : UIImageView{
    id<UIImageViewExpandBKDelegate> _delegate;
    BOOL        _isTransformGreaterThanZero;
    BOOL        _isBKViewLocked;
    UIImageViewItemView * _currentItemView;
    NSMutableDictionary * _allItemDict;
    
    //主要用于Drag Item过程中背景收到了信号的反应
    BOOL        _layerInViewFocus;
    UIImageViewItemView * _layerView;
}
@property (nonatomic, assign) id delegate;
@property (nonatomic) BOOL isBKViewLocked;
@property (nonatomic, assign) UIImageViewItemView * currentItemView;
@property (nonatomic, assign) NSMutableDictionary * allItemDict;


- (id) init;
- (void) setDelegate:(id)delegate;
- (NSMutableDictionary *) dictForViewGuestures;
- (void) setupHandGestureRecognizerWithDraggable:(BOOL)isDraggable 
                                   withPinchable:(BOOL)isPinchable 
                                  withRotateable:(BOOL)isRotateable
                                     withTapable:(BOOL)isTapable  
                               withMinPinchScale:(CGFloat)minPScale 
                               withMaxPinchScale:(CGFloat)maxPScale;

- (void) rePutToRightPlace;
- (void) openDraggableGestureForContianer;
- (void) closeDraggableGestureForContainer;
@end
