//  Copyright http://www.wuleilei.com/. All rights reserved.

#import <Foundation/Foundation.h>
#import <sqlite3.h>
#import <CoreLocation/CoreLocation.h>
#import "GTMObjectSingleton.h"
#import "UIImageViewItemView.h"


@interface SQLiteOperation : NSObject {
    sqlite3 *database;
	NSString *path;
}

+ (SQLiteOperation *) sharedSQLOpt;
- (void)getPath;
- (NSMutableArray *)selectData:(NSString *)sql resultColumns:(int)col;
- (BOOL)dealData:(NSString *)sql paramArray:(NSArray *)param;
- (BOOL)openDB;

- (NSInteger) getSelectTopIdFromTbSaveBK;
- (BOOL) insertTbSaveBk:(NSString *)sql paramArray:(NSArray *)param;
- (BOOL) insertTbSaveItem:(NSMutableDictionary *)dict withBkIdInt:(int)bkid;
- (BOOL)createNewTableWithName:(NSString *)sql;
@end