//
//  roomAppDelegate_iPhone.m
//  room
//
//  Created by mac on 12-6-15.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import "roomAppDelegate_iPhone.h"
#import "roomSelectController_iPhone.h"
@implementation roomAppDelegate_iPhone
@synthesize mainNavigationController = _mainNavigationController;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Override point for customization after application launch.
    roomSelectController_iPhone * roomSelector = [[roomSelectController_iPhone alloc] init];
    _mainNavigationController = [[UINavigationController alloc] initWithRootViewController:roomSelector];
    _mainNavigationController.navigationBar.hidden = YES;
    [MKStoreManager sharedManager];
    self.window.rootViewController = _mainNavigationController;
    
    //第一次打开本软件的话
    if ([utils retrieveFromUserDefaultsByKey:FIRST_OPEN_APP] == nil) {
        [utils saveToUserDefaults:@"OK" forKey:FIRST_OPEN_APP];
        [self initRateAndShareFlag];  
    }
    /*
    NSString * tb_savebk = @"create table if not exists tb_saveBK(bKId integer primary key,bKImageName varchar(50),bKHomeValue varchar,bKIconName varchar(50),bKOther varchar(50))";
    NSString * tb_saveitem = @"create table if not exists tb_saveItem(itemId varchar(10),itemBk varchar(10),itemName varchar(50),itemCenter_x varchar(50),itemCenter_y varchar(50),itemTrans_a varchar(50),itemTrans_b varchar(50),itemTrans_c varchar(50),itemTrans_d varchar(50),itemTrans_tx varchar(50),itemTrans_ty varchar(50),itemOther varchar(100),itemValue varchar(20))";
    [[SQLiteOperation sharedSQLOpt] createNewTableWithName:tb_savebk];
    [[SQLiteOperation sharedSQLOpt] createNewTableWithName:tb_saveitem];
    */
    [self performSelector:@selector(testOffline) withObject:nil afterDelay:0.5];
    [self.window makeKeyAndVisible];
    return YES;
}

- (void) initRateAndShareFlag{
    
    //第一次时GIFT没有使用过
    [utils saveBOOLToUserDefaults:NO forKey:GIFT_HAVE_USED];
    NSString * urlString = [utils getGiftOpenSignFromServer:GIFT_CONFIG_SEVER_URL];
    if ([urlString length] == 3) {
        if ([[urlString substringWithRange:NSMakeRange(0, 1)] intValue] == 1) {
            [utils saveBOOLToUserDefaults:GIFT_ON forKey:GIFT_RATING_SEVER_FLAG];
        }else{
            [utils saveBOOLToUserDefaults:GIFT_OFF forKey:GIFT_RATING_SEVER_FLAG];
        }
        
        if ([[urlString substringWithRange:NSMakeRange(1, 1)] intValue] == 1) {
            [utils saveBOOLToUserDefaults:GIFT_ON forKey:GIFT_SHARE_FB_SEVER_FLAG];
        }else{
            [utils saveBOOLToUserDefaults:GIFT_OFF forKey:GIFT_SHARE_FB_SEVER_FLAG];
        }
        if ([[urlString substringWithRange:NSMakeRange(2, 1)] intValue] == 1) {
            [utils saveBOOLToUserDefaults:GIFT_ON forKey:RECEIVE_AD_SEVER_FLAG];
        }else{
            [utils saveBOOLToUserDefaults:GIFT_OFF forKey:RECEIVE_AD_SEVER_FLAG];
        }
    }
    
    //设置为NO，表示第一次开启未消费
    [utils saveBOOLToUserDefaults:NO forKey:CLOSE_ADS_AFTER_PURCHASE];
    [utils saveIntegerToUserDefaults:0 forKey:TB_SAVE_BK_BKID_NUM];
}

- (void)testOffline
{	
	[SHK flushOfflineQueue];
}

- (BOOL)handleOpenURL:(NSURL*)url
{
    NSDictionary *info = [[NSBundle mainBundle] infoDictionary];
    NSNumber *index = [info objectForKey:@"FacebookURLTypeIndex"];
    if (! index) return YES;
    
    NSArray *urlTypes = [info objectForKey:@"CFBundleURLTypes"];
    if ((! urlTypes) || ([urlTypes count] <= [index integerValue])) return YES;
    
    NSDictionary *facebookURL = [urlTypes objectAtIndex:[index integerValue]];
    NSString *scheme = [[facebookURL objectForKey:@"CFBundleURLSchemes"] lastObject];
    if ([[url scheme] isEqualToString:scheme])
        return [SHKFacebook handleOpenURL:url];
    return YES;
}

- (BOOL)application:(UIApplication *)application 
            openURL:(NSURL *)url 
  sourceApplication:(NSString *)sourceApplication 
         annotation:(id)annotation 
{
    return [self handleOpenURL:url];
}

- (BOOL)application:(UIApplication *)application 
      handleOpenURL:(NSURL *)url 
{
    return [self handleOpenURL:url];  
}
- (void)dealloc
{
	[super dealloc];
}

@end
