//
//  roomSelectController_iPhone.h
//  room
//
//  Created by mac on 12-6-15.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "utils.h"
#import <QuartzCore/CoreAnimation.h>
#import "coinManager.h"
#import <AVFoundation/AVFoundation.h>  
#import <AudioToolbox/AudioToolbox.h>
#import "roomAppDelegate_iPhone.h"


@interface roomSelectController_iPhone : UIViewController <UITableViewDataSource,UITableViewDelegate,UIAlertViewDelegate>{
    UIButton * _musicButton;
    UIButton * _soundButton;
    AVAudioPlayer   * _bgMusicPlayer;
    AVAudioPlayer   * _tapSoundPlayer;  
    
    UIView          * _galleryView;
    UITableView     * _tableView;
    NSMutableArray         * _galleryArray;
    
    
    UIButton * reloadButton;
    //全局变量，用于标示最后哪个被选中
    NSInteger _btnId;
}


- (id) init;
- (void) initButtons;
- (void) initGallaryView;
@end
