//
//  UIImageViewExpandView.h
//  room
//
//  Created by mac on 12-6-19.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <QuartzCore/QuartzCore.h>
#import "UIImageViewExpandDelegate.h"
#import "UIImageViewExpandBKDelegate.h"
#import "roomAppDelegate.h"
@interface UIImageViewExpandView : UIImageView {
    id<UIImageViewExpandDelegate> _delegate;
    id<UIImageViewExpandBKDelegate> _bkDelegate;
    NSInteger   _pickUniqueNumber;
    BOOL        _isHighLighted;
    NSInteger   _pickViewCoin;
    
    BOOL        _isTransformGreaterThanZero;
    BOOL        _isContainerDarggable;
    
    NSString    * _imageName;
}
@property (nonatomic, assign) id delegate;
@property (nonatomic, assign) id bkDelegate;
@property (nonatomic) NSInteger pickUniqueNumber;
@property (nonatomic) BOOL  isHighLighted;
@property (nonatomic) NSInteger pickViewCoin;
@property (nonatomic) BOOL isTransformGreaterThanZero;
@property (nonatomic, retain) NSString * imageName;

- (id) init;
- (void) setDelegate:(id)delegate;
- (NSMutableDictionary *) dictForViewGuestures;
- (void) setupHandGestureRecognizerWithDraggable:(BOOL)isDraggable 
                                   withPinchable:(BOOL)isPinchable 
                                  withRotateable:(BOOL)isRotateable
                                     withTapable:(BOOL)isTapable  
                               withMinPinchScale:(CGFloat)minPScale 
                               withMaxPinchScale:(CGFloat)maxPScale;

- (void) zoomWithValue:(float)value;
- (void) rePutToRightPlace;
- (void) openDraggableGestureForContianer;
- (void) closeDraggableGestureForContainer;
@end
