//
//  UIImageViewItemView.h
//  room
//
//  Created by  on 12-7-16.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "UIImageViewExpandDelegate.h"
#import <QuartzCore/QuartzCore.h>
@interface UIImageViewItemView : UIImageView{
    id<UIImageViewExpandDelegate> _delegate;
    BOOL        _isTransformGreaterThanZero;
    NSString    * _imageName;
    NSInteger   _pickUniqueNumber;
    
    BOOL        _isHighLighted;
    NSInteger   _pickViewCoin;
}
@property (nonatomic, assign) id delegate;
@property (nonatomic) BOOL isTransformGreaterThanZero;
@property (nonatomic, retain) NSString * imageName;
@property (nonatomic) BOOL  isHighLighted;
@property (nonatomic) NSInteger pickUniqueNumber;
@property (nonatomic) NSInteger pickViewCoin;

- (id) init;
- (void) setDelegate:(id)delegate;
- (NSMutableDictionary *) dictForViewGuestures;
- (void) setupHandGestureRecognizerWithDraggable:(BOOL)isDraggable 
                                   withPinchable:(BOOL)isPinchable 
                                  withRotateable:(BOOL)isRotateable
                                     withTapable:(BOOL)isTapable  
                               withMinPinchScale:(CGFloat)minPScale 
                               withMaxPinchScale:(CGFloat)maxPScale;

- (void) zoomWithValue:(float)value;
- (void) rePutToRightPlace;
@end
