//
//  coinManager.h
//  room
//
//  Created by mac on 12-6-23.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//
#define MODEL_ROOM_VALUE @"ModelHealthValue"
#define MODEL_COIN_VALUE   @"ModelCoinValue"

#import <Foundation/Foundation.h>
#import "GTMObjectSingleton.h"
#import "utils.h"

@interface coinManager : NSObject {
    int  _roomValue;
    int  _coinValue;
}
@property (assign) int roomValue;
@property (assign) int coinValue;

+ (coinManager *) sharedCoinManager;
- (void) getInitHealthValueAndCoin;
- (void) plusCoinValueWithChangedValue:(int)value;
- (void) minusCoinValueWithChangedValue:(int)value;
- (void) plusRoomValueWithChangedValue:(int)value;
- (void) minusRoomValueWithChangedValue:(int)value;

- (void) saveCoinValue;
- (void) saveRoomValue;
@end
