//
//  scrollItemView_iPad.m
//  room
//
//  Created by mac on 12-7-2.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import "scrollItemView_iPad.h"


@implementation scrollItemView_iPad
@synthesize isLoaded;
- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
    }
    return self;
}
- (id) initWithFrame:(CGRect)frame 
    withContentArray:(NSArray *)array 
           withIndex:(int)index 
          withTarget:(id)target 
          withAction:(SEL)action
{
    self = [super initWithFrame:frame];
    if(self){
        
        self.backgroundColor = [UIColor colorWithWhite:10.0 alpha:0.8];
        self.layer.masksToBounds = NO;
        self.layer.cornerRadius = 8;
        self.layer.shadowOffset = CGSizeMake(2, 0);
        self.layer.shadowRadius = 5;
        self.layer.shadowOpacity = 0.5;
        self.tag = index;
        _array  = array;
        _index  = index;
        _target = target;
        _action = action;
        
        
        isLoaded = NO;
    }
    return self;
}

- (void) loadKitToView
{
    itemButton = [UIButton buttonWithType:UIButtonTypeCustom];
    UIImage * itemImg = [utils getImageFromName:[[_array objectAtIndex:_index] objectAtIndex:3]];
    itemButton = [utils setButtonPropertyWithButton:itemButton 
                                          withFrame:CGRectMake((100.0-itemImg.size.width*0.4)*0.5, 10+(115-itemImg.size.height*0.4)*0.5, itemImg.size.width*0.4, itemImg.size.height*0.4) 
                                            withTag:_index 
                                        withUpImage:itemImg 
                                      withDownImage:itemImg 
                                         withTarget:_target 
                                         withAction:_action];
    [self addSubview:itemButton];
    
    UIImage * img = [UIImage imageNamed:@"moneyIconiPad"];
    moneyIcon = [[UIImageView alloc] initWithImage:img];
    moneyIcon.frame = CGRectMake(5, 3, img.size.width*0.6, img.size.height*0.6);
    [self addSubview:moneyIcon];
    
    priceLabel = [[UILabel alloc] initWithFrame:CGRectMake(35, 0, 60, 30)];
    priceLabel.backgroundColor = [UIColor clearColor];
    priceLabel.font = [UIFont fontWithName:@"Georgia-Bold" size:18.0];
    priceLabel.text = [[_array objectAtIndex:_index] objectAtIndex:4];
    [self addSubview:priceLabel];
    isLoaded = YES;
}

- (void) unloadKitFromView{
    for (UIView * view in [self subviews]) {
        [view removeFromSuperview];
    }
    isLoaded = NO;
}
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    // Drawing code
}
*/

- (void)dealloc
{
    [super dealloc];
}

@end
